Subject: [Fwd: [Fwd: I-D ACTION:draft-ietf-sacred-protocol-bss-03.txt]]

From: Stephen Farrell <[email-masked]>
Date: Mon, 07 Oct 2002 13:32:53 +0100

Folks, 

I asked Marshall to "BEEP-check" the latest draft and he had the 
following comments that I intend incorporating in a revision.
I don't see anything contentious here, but wanted to make sure
it got to the list first.

Regards,
Stephen.

> in section 2.3.1, when you say "SASL-MD5 cryptographic services", you
> mean to say
> 
>     DIGEST-MD5 "security services"
> 
> (that's the "S" in "saSl").
> 
> 
> in section 3.1, i would say
> 
>    Because all but one of the operations of the SACRED profile have
>    security requirements (cf., Section 2.3.1), before starting the
>    SACRED profile, the BEEP session will likely be tuned using either
> 
>        http://iana.org/beep/TLS
> 
>        or
> 
>        http://iana.org/beep/TLS followed by http://iana.org/SASL/DIGEST-MD5
> 
> 
> finally, here is how i think you want Appendix B to read:
> 
> Appendix B: An Example of Tuning with BEEP
> 
>    Here is what tuning BEEP for authentication and privacy looks like
>    using TLS and SASL's DIGEST-MD5:
> 
>        L: <wait for incoming connection>
>        I: <open connection>
>        L: RPY 0 0 . 0 233
>        L: Content-Type: application/beep+xml
>        L:
>        L: <greeting>
>        L:    <profile uri='http://iana.org/beep/SASL/DIGEST-MD5' />
>        L:    <profile uri='http://iana.org/beep/TLS' />
>        L:    <profile uri='http://iana.org/beep/transient/sacred/bss' />
>        L: </greeting>
>        L: END
>        I: RPY 0 0 . 0 52
>        I: Content-Type: application/beep+xml
>        I:
>        I: <greeting />
>        I: END
>        I: MSG 0 1 . 52 158
>        I: Content-Type: application/beep+xml
>        I:
>        I: <start number='1'>
>        I:    <profile uri='http://iana.org/beep/TLS'>
>        I:        <![CDATA[<ready />]]>]]&gt;<![CDATA[
>        I:    </profile>
>        I: </start>
>        I: END
>        L: RPY 0 1 . 233 121
>        L: Content-Type: application/beep+xml
>        L:
>        L: <profile uri='http://iana.org/beep/TLS'>
>        L:     <![CDATA[<proceed />]]>]]&gt;<![CDATA[
>        L: </profile>
>        L: END
> 
>            ... successful transport security negotiation ...
> 
>        L: RPY 0 0 . 0 186
>        L: Content-Type: application/beep+xml
>        L:
>        L: <greeting>
>        L:    <profile uri='http://iana.org/beep/SASL/DIGEST-MD5' />
>        L:    <profile uri='http://iana.org/beep/transient/sacred/bss' />
>        L: </greeting>
>        L: END
>        I: RPY 0 0 . 0 52
>        I: Content-Type: application/beep+xml
>        I:
>        I: <greeting />
>        I: END
>        I: MSG 0 1 . 52 143
>        I: Content-Type: application/beep+xml
>        I:
>        I: <start number='1'>
>        I:    <profile uri='http://iana.org/beep/SASL/DIGEST-MD5'>
>        I:        &lt;blob />
>        I:    </profile>
>        I: </start>
>        I: END
>        L: RPY 0 1 . 186 339
>        L: Content-Type: application/beep+xml
>        L:
>        L: <profile uri='http://iana.org/beep/SASL/DIGEST-MD5'>
>        L:     <![CDATA[<blob>...</blob>]]>
>        L: </profile>
>        L: END
>        I: MSG 1 0 . 0 355
>        I: Content-Type: application/beep+xml
>        I:
>        I: <blob>...</blob>
>        I: END
>        L: RPY 1 0 . 0 125
>        L: Content-Type: application/beep+xml
>        L:
>        L: <blob status='complete'>...</blob>
>        L: END
> 
> /mtr

-- 
____________________________________________________________
Stephen Farrell         				   
Baltimore Technologies,   tel: (direct line) +353 1 881 6716
39 Parkgate Street,                     fax: +353 1 881 7000
Dublin 8.                mailto:[email-masked]
Ireland                             http://www.baltimore.com